@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

body {
  font-family: "Poppins", Arial, Helvetica, sans-serif;
}
.font-weight-bold {
  font-weight: bold;
}
.fw-500 {
  font-weight: 500;
}
.break-line {
  display: block;
}
.bg-quiz {
  background-image: url("images/bg_2.png");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}
.game-content {
  display: flex;
  min-height: 100vh;
  align-items: center;
}
#game {
  width: 100%;
  min-height: 576px;
  margin-bottom: 2rem;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.header-quiz {
  max-width: 800px;
  width: 70%;
  display: flex;
  margin: 1rem auto;
  align-items: center;
  position: relative;
  left: 5%;
}
.header-quiz .quiz-controls {
  text-align: left;
}
.header-quiz .quiz-controls a {
  border: 0;
  text-decoration: none;
}
.header-quiz .quiz-controls img {
  width: 38px;
  /* width: 15%; */
  border: 0;
}
.header-quiz .quiz-number {
  text-align: center;
  font-size: 1.5rem;
  color: #fff;
  font-weight: 700;
  text-transform: uppercase;
}
.header-quiz .quiz-pboard {
  text-align: right;
}
.header-quiz .quiz-pboard .score {
  width: fit-content;
  background-color: #034da2;
  color: #fff;
  font-weight: 700;
  text-transform: uppercase;
  margin-left: auto;
  padding: 0px 20px;
  display: flex;
  align-items: center;
  border-radius: 10px;
}

.header-quiz .quiz-pboard .score span.points {
  font-size: 2.3rem;
  margin-right: 10px;
}

.image-quiz {
  text-align: center;
  margin: 0 auto;
  width: 70%;
  height: auto;
  max-width: 800px;
}
.quiz-question {
  color: #000;
  background-color: #fff;
  padding: 20px;
  width: 90%;
  margin: 0 auto;
  position: relative;
  z-index: 9;
  margin-top: -3%;
  border-radius: 10px;
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.5);
  max-width: 900px;
}
.box-detail {
  position: absolute;
  width: 5%;
  bottom: 99%;
  left: 15%;
}
.div-btn-next {
  width: 100%;
  margin: 10px auto;
  text-align: center;
}
.div-btn-next button {
  background-image: url("images/botao_avancar.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-color: transparent;
  border: 0;
  width: 130px;
  height: 50px;
}
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

/* Alternativas */
#game input {
  display: none;
}
#game label {
  width: 100%;
  background-color: #e3e1df;
  padding: 20px;
  border-radius: 10px;
  cursor: pointer;
  transition: ease 0.3s;
  margin-bottom: 20px;
}
#game label:hover {
  background-color: #c1c1c1;
}
#game input:checked + label {
  background-color: #111;
  color: #fff;
}
.div-btn-next-alt {
  margin-top: 20px;
}
.div-btn-next-alt button {
  background-image: url("images/botao_submit.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-color: transparent;
  border: 0;
  width: 240px;
  height: 50px;
}

#modalInstrucoes .modal-body {
  text-align: left;
}

#modalInstrucoes h2 {
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 30px;
}

.bg-quiz .modal-body {
  text-align: center;
}
.bg-quiz .modal-body .answer-content {
  border: solid 1px #ccc;
  border-radius: 10px;
  padding: 40px 20px 25px 20px;
}
.bg-quiz .modal-body .answer-content img {
  width: 20%;
  position: absolute;
  top: -22%;
  left: 40%;
}
.bg-quiz .modal-body .answer-content .success-text,
.bg-quiz .modal-body .answer-content .error-text {
  font-size: 1.4rem;
  font-weight: 700;
}
.bg-quiz .modal-body button {
  margin-top: 10px;
  background: rgb(17, 83, 161);
  background: linear-gradient(
    180deg,
    rgba(17, 83, 161, 1) 0%,
    rgba(12, 111, 183, 1) 100%
  );
  border: 0;
  border-radius: 40px;
  padding: 0.6em 4em;
  text-transform: uppercase;
  font-weight: bold;
}
#game .form-check {
  padding-left: unset;
}
#alternatives-container {
  background-color: #fff;
  padding: 40px;
  border-radius: 20px;
  border: solid 1px #777;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.7);
  max-width: 810px;
}
#startScreen,
#introductionScreen,
#endScreen {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

#endScreen .header-quiz {
  left: 0;
  width: 80%;
}

.start-screen-board,
.end-screen-board {
  background-repeat: no-repeat;
  background-position: center;
  background-size: auto;
  height: 670px;
}
.start-screen-board {
  width: 100%;
  background-image: url("images/ilustracao_start.png");
  background-size: 90%;
  background-position: right 50%;
}
.start-screen-board .welcome-text {
  background-color: #fff;
  display: block;
  padding: 20px 25px;
  width: 73%;
  margin: 0 auto;
  position: relative;
  top: 53%;
  border-radius: 10px;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.7);
}
.start-screen-board .welcome-text .detail-welcome-image {
  width: 4%;
  position: absolute;
  top: -25%;
  left: 13%;
  z-index: 2;
}

.start-screen-buttons {
  width: 70%;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  justify-content: center;
  position: relative;
  top: 54%;
  left: 5%;
}
.start-screen-buttons .start-game,
.start-screen-buttons .instructions {
  margin-top: 10px;
  background: linear-gradient(180deg, #78b44c 0%, #478648 100%);
  border: 0;
  border-radius: 40px;
  padding: 0.6em 2em;
  text-transform: uppercase;
  font-weight: bold;
  color: #fff;
  font-size: 1.3rem;
  min-width: 275px;
}
.start-screen-buttons .instructions {
  background: linear-gradient(180deg, #f5ad1a 0%, #f5841a 100%);
}
.btn-close-instrucoes {
  border: 0;
  font-size: 1rem;
  position: absolute;
  right: 3%;
  top: 2%;
  z-index: 2;
}
#endScreen {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.end-screen-board {
  background-color: #fff;
  width: 80%;
  height: 500px;
  margin-right: 1rem;
  border-radius: 25px;
  border: solid 10px #000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 3rem;
  flex-wrap: wrap;
  text-align: center;
}
.end-screen-board .badge-success {
  width: 46%;
}
.end-screen-board .success-text {
  width: 51%;
}

.end-screen-board .badge-danger {
  width: 28%;
}
.end-screen-board .danger-text {
  width: 70%;
}
.end-screen-board .success-text p,
.end-screen-board .danger-text p {
  font-size: 1.1rem;
}
.end-screen-board .success-text h1,
.end-screen-board .danger-text h1 {
  color: #005ca7;
  font-weight: 600;
}
.end-screen-board-social {
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}
.end-screen-board-social .btn-share {
  background-color: transparent;
  border: solid 2px #fff;
  border-radius: 2rem;
  padding: 10px 20px;
  text-transform: uppercase;
  color: #fff;
  font-size: 13px;
  text-decoration: none;
  pointer-events: none;
}
.end-screen-board-social .social-net {
  width: 95%;
  display: flex;
  align-items: center;
  justify-content: space-around;
  text-align: center;
}
.end-screen-board-social .social-net img {
  width: 70%;
  height: auto;
}
#introductionScreen .image-quiz {
  width: 70%;
}
#introductionScreen .quiz-question {
  width: 90%;
}
#footer {
  background-color: #000;
  padding: 20px;
  text-align: center;
}
@media (max-width: 1024px) {
  .logos-cc img {
    width: 40% !important;
  }

  #game {
    justify-content: center;
  }
  .image-quiz {
    width: 70%;
  }
  .quiz-question {
    width: 80%;
  }
  #alternatives-container {
    width: 97%;
  }
  .start-screen-board {
    width: 80%;
    background-size: 90%;
    height: 460px;
    margin-top: 3rem;
  }
  .start-screen-buttons {
    top: 50%;
    left: unset;
  }
  #endScreen {
    flex-direction: column;
    padding-top: 4rem;
  }
  .end-screen-board {
    margin-right: unset;
    width: 80%;
    flex-direction: column;
    flex-wrap: nowrap;
    height: unset;
  }
  .end-screen-board-social {
    width: unset;
    margin: 30px 0;
  }
  .end-screen-board .badge-success {
    width: 70%;
    margin-bottom: 20px;
  }
  .end-screen-board .success-text {
    width: 100%;
    margin-bottom: 20px;
  }
  .start-screen-board .welcome-text {
    width: 100%;
  }
  .start-screen-board .welcome-text .detail-welcome-image {
    top: -20%;
    left: 10%;
  }
  #startScreen,
  #introductionScreen,
  .justify-content-end {
    flex-direction: column;
    align-items: center;
  }
  .start-screen-board {
    background-position: center;
  }
  .header-quiz {
    position: unset;
  }
  #introductionScreen .header-quiz {
    width: 70%;
  }
}
@media (max-width: 768px) {
  .game-content {
    display: block;
  }
  .image-quiz {
    width: 90%;
  }
  .quiz-question {
    width: 100%;
  }
  .header-quiz .quiz-controls img {
    width: 25%;
  }
  .start-screen-buttons .start-game,
  .start-screen-buttons .instructions {
    font-size: 1.2rem;
  }
  .start-screen-buttons {
    top: 49%;
  }
  .start-screen-board {
    width: 100%;
  }
  .start-screen-board .welcome-text .detail-welcome-image {
    top: -15%;
  }
}
@media (max-width: 668px) {
  .logos-cc img {
    width: 40% !important;
  }
  .image-quiz {
    width: 90%;
  }

  #game {
    margin-bottom: 0;
  }

  .quiz-question p,
  #game label {
    font-size: 12px;
  }

  .header-quiz .quiz-controls,
  .header-quiz .quiz-number,
  .header-quiz .quiz-pboard {
    text-align: center;
    margin-bottom: 1rem;
  }
  .header-quiz .quiz-pboard .score {
    margin: 0 auto;
  }
  .start-screen-buttons {
    width: 100%;
    top: 37%;
  }
  .start-screen-buttons .start-game,
  .start-screen-buttons .instructions {
    min-width: 235px;
  }
  .header-quiz {
    margin: 1rem auto 0 auto;
  }
  .header-quiz .quiz-controls img {
    /* width: 10%; */
    width: 36px;
  }
  .header-quiz .quiz-number {
    font-size: 1rem;
  }
  .header-quiz .quiz-pboard .score span.points {
    font-size: 2rem;
  }
  #game {
    min-height: unset;
  }
  .start-screen-board {
    background-size: 100%;
    height: 360px;
  }
  .start-screen-buttons {
    top: 48%;
  }
  .start-screen-board .welcome-text {
    top: 40%;
  }
  .start-screen-board .welcome-text .detail-welcome-image {
    top: -12%;
    width: 5%;
  }
}
@media (max-width: 500px) {
  .bg-quiz .modal-body .answer-content img {
    width: 25%;
    top: -18%;
    left: 38%;
  }
  .start-screen-buttons .start-game,
  .start-screen-buttons .instructions {
    padding: 0.3em 0.9em;
    font-size: 1.03rem;
    min-width: 185px;
  }
  #alternatives-container {
    margin-bottom: 30px;
  }
  .end-screen-board {
    padding: 1.2rem;
  }
  .end-screen-board .badge-success {
    width: 90%;
  }
  #footer img {
    width: 50%;
  }
  .start-screen-board {
    height: 245px;
    margin-top: 2rem;
  }
  .start-screen-board .welcome-text {
    top: 35%;
  }
  .start-screen-board .welcome-text p {
    font-size: 0.9rem;
  }
  .start-screen-board .welcome-text .detail-welcome-image {
    top: -7%;
  }
}
